# $Revision: 1.20 $, $Date: 2006/04/20 11:20:23 $
Summary:	A collection of chemical applications for KDE
Summary(pl):	Kolekcja aplikacji chemicznych dla KDE
Name:		kemistry
Version:	0.7
Release:	5
License:	GPL
Group:		X11/Applications/Science
Source0:	http://dl.sourceforge.net/kemistry/%{name}-%{version}.tar.bz2
# Source0-md5:	daa7c379a7ac6a866fe0c63f021bbd7e
Patch0:		%{name}-desktop.patch
URL:		http://kemistry.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fam-devel
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	kdesdk-po2xml
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	openbabel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kemistry is a collection of chemical applications for the K Desktop
Environment. The included applications are:

- KMolCalc - a molecular weight calculator,
- KemBabel - a conversion program for chemical file formats based on
  Open Babel,
- KDrawchem - a molecular structure drawing program based on XDrawChem.

%description -l pl
Kemistry jest kolekcj aplikacji chemicznych dla KDE. Zawiera
aplikacje:

- KMolCalc - kalkulator wagi molowej,
- KemBabel - program do konwersji midzy chemicznymi formatami
  plikw, oparty na Open Babel,
- KDrawchem - program do rysowania struktury molekularnej, oparty na
  XDrawChem.

%package kdrawchem
Summary:	Molecular structure drawing program based on XDrawChem
Summary(pl):	Program do rysowania struktury molekularnej, bazowany na XDrawChem
Group:		X11/Applications/Science
Requires:	%{name} = %{version}-%{release}
Provides:	kdrawchem

%description kdrawchem
A molecular structure drawing program based on XDrawChem.

%description kdrawchem -l pl
Program do rysowania struktury molekularnej, oparty na XDrawChem.

%package kembabel
Summary:	Conversion program for chemical file formats
Summary(pl):	Program do konwersji midzy chemicznymi formatami plikw
Group:		X11/Applications/Science
Requires:	%{name} = %{version}-%{release}
Provides:	kembabel

%description kembabel
A conversion program for chemical file formats based on Open Babel.

%description kembabel -l pl
Program do konwersji midzy chemicznymi formatami plikw, oparty na
Open Babel.

%package kmolcalc
Summary:	Molecular weight calculator
Summary(pl):	Kalkulator wagi molowej
Group:		X11/Applications/Science
Requires:	%{name} = %{version}-%{release}
Provides:	kmolcalc

%description kmolcalc
A molecular weight calculator.

%description kmolcalc -l pl
Kalkulator wagi molowej.

%prep
%setup -q
%patch0 -p1

# kill libtool.m4
# -Wbad-function-cast (invalid in C++) causes -fPIC misdetection
head -n 4875 acinclude.m4 | grep -v Wbad-function-cast > acinclude.m4.tmp
mv -f acinclude.m4.tmp acinclude.m4

%build
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%{__perl} admin/am_edit
# doesn't work with am > 1.6
#%{__make} -f admin/Makefile.common cvs
%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT{%{_datadir}/applnk/Applications/Kemistry/*,%{_desktopdir}}

cp openbabel/ChangeLog ChangeLog.openbabel

%find_lang kdrawchem	--with-kde
%find_lang kembabel	--with-kde
%find_lang kmolcalc	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	kdrawchem -p /sbin/ldconfig
%postun	kdrawchem -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog* openbabel/CHANGES.openbabel
%attr(755,root,root) %{_libdir}/libopenbabel_kemistry.so*
%attr(755,root,root) %{_libdir}/libkemistry.so*
%{_libdir}/libopenbabel_kemistry.la
%{_libdir}/libkemistry.la
%{_iconsdir}/*/*/*/kemistry.png

%files kdrawchem -f kdrawchem.lang
%defattr(644,root,root,755)
%doc kdrawchem/ChangeLog
%attr(755,root,root) %{_bindir}/kdrawchem
%attr(755,root,root) %{_libdir}/libkdrawchem.so*
%{_libdir}/libkdrawchem.la
%{_datadir}/apps/kdrawchem
%{_iconsdir}/*/*/*/kdrawchem.png
%{_desktopdir}/kdrawchem.desktop

%files kembabel -f kembabel.lang
%defattr(644,root,root,755)
%doc kembabel/ChangeLog
%attr(755,root,root) %{_bindir}/kembabel
%{_datadir}/mimelnk/chemical/*openbabel*
%{_iconsdir}/*/*/*/kembabel.png
%{_desktopdir}/kembabel.desktop

%files kmolcalc -f kmolcalc.lang
%defattr(644,root,root,755)
%doc kmolcalc/ChangeLog
%attr(755,root,root) %{_bindir}/kmolcalc
%dir %{_datadir}/apps/kmolcalc/*
%{_iconsdir}/*/*/*/kmolcalc.png
%{_desktopdir}/kmolcalc.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kemistry.spec,v $
Revision 1.20  2006/04/20 11:20:23  ankry
- rel. 5

Revision 1.19  2005/06/26 00:16:45  zbyniu
- BR: gettext-devel

Revision 1.18  2005/05/21 08:26:55  ankry
- added desktop patch, rel. 4

Revision 1.17  2005/05/21 07:36:02  ankry
- rel. 3

Revision 1.16  2005/01/15 00:18:06  qboosh
- don't mark files as dirs

Revision 1.15  2004/09/01 06:06:16  qboosh
- release 2

Revision 1.14  2004/08/31 23:22:30  qboosh
- ac/am/lt fixes (needed to get PIC where needed)
- files fixes

Revision 1.13  2004/08/31 21:59:55  qboosh
- standard kde updates, strict internal deps

Revision 1.12  2004/08/31 17:33:39  undefine
- update to 0.7, builds, works...

Revision 1.11  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.10  2003/05/28 12:59:18  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:49:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.7  2003/01/18 22:52:01  juandon
- removed two lines with define

Revision 1.6  2002/09/07 05:50:44  blues
- removed duplicate release - STBR again

Revision 1.5  2002/09/07 05:14:25  blues
- release 2 - shared openbabel patch added - use external openbabel (not
  the best method but works), added ac/am regeneration
  STBR

Revision 1.4  2002/09/06 20:21:43  kloczek
- cosmetics.

Revision 1.3  2002/09/06 18:14:48  kloczek
- removed qt-devel from BuildRequires (this rule is reduntant).

Revision 1.2  2002/09/06 14:23:11  blues
- updated doc

Revision 1.1  2002/09/06 14:20:12  blues
- initial release - STBR
